Configuration
All operations require authentication.
List IPsProduction
List IPs. Returns your IP blocks, filterable by routed service, type, version, campus, Additional IP or IAM tags.
Query parameters
Filter the value of campus property (ilike) (alpha)
Filter the value of description property (like)
Filter resources on IAM tags
Filter the value of ip property (contains or equals)
Filter the value of isAdditionalIp property (=) (alpha)
Filter the value of routedTo.serviceName property (like)
Filter the value of type property (=)
cdnclouddedicatedfailoverhosted_sslhousingloadBalancingmailovertheboxpccpciprivatevpnvpsvrackxdslFilter the value of version property (=) (alpha)
46Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip \
-H "authorization: Bearer $OVH_TOKEN"[ "192.0.2.0/24"]
List move destinationsBeta
List move destinations. Returns, per service type, the services this IP can move to and their next hops.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
Response
list of public cloud projects
list of dedicated clouds
list of dedicated servers
list of hosting reseller services
list of load balancing services
list of SNC Cloud Platform projects
list of VMware Cloud Director organization services
list of vps
list of BGP vrack services services
Example uses ip = 192.0.2.0/24
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ move \
-H "authorization: Bearer $OVH_TOKEN"{ "cloudProject": [ { "nexthop": [ "string" ], "service": "string" } ], "dedicatedCloud": [ { "nexthop": [ "string" ], "service": "string" } ], "dedicatedServer": [ { "nexthop": [ "string" ], "service": "string" } ], "hostingReseller": [ { "nexthop": [ "string" ], "service": "string" } ], "ipLoadbalancing": [ { "nexthop": [ "string" ], "service": "string" } ], "sncCloudPlatform": [ { "nexthop": [ "string" ], "service": "string" } ], "vmwareCloudDirector": [ { "nexthop": [ "string" ], "service": "string" } ], "vps": [ { "nexthop": [ "string" ], "service": "string" } ], "vrackServicesBgp": [ { "nexthop": [ "string" ], "service": "string" } ]}
Get an IPProduction
Get an IP. Returns the block's type, routed service, regions, RIR, organization, and BYOIP / Additional IP flags.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
Response
Is this IP part of the Bring your own IP program (alpha)
Where is the IP used/usable (alpha)
Is this IP can be terminated
IP country
acadaeafagaialamanaoaqarasatauawaxazbabbbdbebfbgbhbibjblbmbnbobqbrbsbtbvbwbybzcacccdcfcgchcickclcmcncocrcscucvcwcxcyczdedjdkdmdodzeceeegeheresetfcfdfifjfkfmfofrfxgagbgdgegfggghgiglgmgngpgqgrgsgtgugwgyhkhmhnhrhthuidieiliminioiqirisitjejmjojpkekgkhkikmknkpkrkwkykzlalblclilklrlsltlulvlymamcmdmemfmgmhmkmlmmmnmompmqmrmsmtmumvmwmxmymznancnenfngninlnonpnrnunzompapepfpgphpkplpmpnprpsptpwpyqaqcrerorsrurwsasbscsdsesgshsisjskslsmsnsosrssstsvsxsysztctdtftgthtjtktltmtntotptrtttvtwtzuaugukumusuyuzvavcvevgvivnvuwewfwsyeytyuzazmzwCustom description on your ip
IAM resource metadata
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
Is this IP an Additional IP (alpha)
IP block organisation Id
Where is the IP used/usable, in the form of region codenames (alpha)
af-central-lz-abjaf-north-lz-rbaap-south-lz-aklap-south-lz-blrap-south-lz-icdap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-lz-buheu-central-lz-sofeu-central-waweu-east-lz-prgeu-north-lz-cpheu-north-lz-heleu-north-lz-osleu-north-lz-stoeu-south-lz-liseu-south-lz-madeu-south-lz-mileu-south-mileu-west-erieu-west-graeu-west-limeu-west-lz-amseu-west-lz-brueu-west-lz-dlneu-west-lz-luxeu-west-lz-mnceu-west-lz-mrseu-west-lz-vieeu-west-lz-zrheu-west-pareu-west-rbxeu-west-sbgme-south-lz-dxbsa-central-lz-mexsa-east-lz-saosa-west-lz-buesa-west-lz-sclus-central-lz-slcus-central-lz-stlus-east-lz-atlus-east-lz-bosus-east-lz-chius-east-lz-dalus-east-lz-miaus-east-lz-nycus-east-vinus-west-hilus-west-lz-denus-west-lz-laxus-west-lz-paous-west-lz-phxus-west-lz-seaRegional Internet Registry of the IP (alpha)
Routage information
Possible values for ip type
cdnclouddedicatedfailoverhosted_sslhousingloadBalancingmailovertheboxpccpciprivatevpnvpsvrackxdslVersion of the IP (alpha)
46Example uses ip = 192.0.2.0/24
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip} \
-H "authorization: Bearer $OVH_TOKEN"{ "bringYourOwnIp": true, "campus": "string", "canBeTerminated": true, "country": "ac", "description": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "ip": "192.0.2.0/24", "isAdditionalIp": true, "organisationId": "string", "regions": [ "af-central-lz-abj" ], "rir": "string", "routedTo": { "serviceName": "string" }, "type": "cdn", "version": 4}
Move an IPProduction
Move an IP. Routes the IP to another service of your account, with an optional next hop (async task).
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
Request body (required)
Nexthop of destination service
Service destination
Response
Details of this task
Destination for moveFloatingIp tasks
Completion date
Function name
arinBlockReassignchangeRipeOrgcheckAndReleaseIpgenericMoveFloatingIpsupernetByoipFailoverPartitioninglast update
Task Creation date
Task status
cancelledcustomerErrordoingdoneinitovhErrortodothe id of the task
Example uses ip = 192.0.2.0/24
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ move \
-H "authorization: Bearer $OVH_TOKEN"{ "comment": "string", "destination": { "serviceName": "string" }, "doneDate": "2024-01-01T12:00:00Z", "function": "arinBlockReassign", "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "taskId": 0}
Park an IPProduction
Park an IP. Detaches the IP from its service and keeps it on your account, unrouted. Returns the task that applies the change.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
Response
Details of this task
Destination for moveFloatingIp tasks
Completion date
Function name
arinBlockReassignchangeRipeOrgcheckAndReleaseIpgenericMoveFloatingIpsupernetByoipFailoverPartitioninglast update
Task Creation date
Task status
cancelledcustomerErrordoingdoneinitovhErrortodothe id of the task
Example uses ip = 192.0.2.0/24
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ park \
-H "authorization: Bearer $OVH_TOKEN"{ "comment": "string", "destination": { "serviceName": "string" }, "doneDate": "2024-01-01T12:00:00Z", "function": "arinBlockReassign", "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "taskId": 0}
Update the IP descriptionProduction
Update the IP description. Changes the block's free-text description, its only editable field. List IPs can filter on this description.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
Request body (required)
Is this IP part of the Bring your own IP program (alpha)
Where is the IP used/usable (alpha)
Is this IP can be terminated
IP country
acadaeafagaialamanaoaqarasatauawaxazbabbbdbebfbgbhbibjblbmbnbobqbrbsbtbvbwbybzcacccdcfcgchcickclcmcncocrcscucvcwcxcyczdedjdkdmdodzeceeegeheresetfcfdfifjfkfmfofrfxgagbgdgegfggghgiglgmgngpgqgrgsgtgugwgyhkhmhnhrhthuidieiliminioiqirisitjejmjojpkekgkhkikmknkpkrkwkykzlalblclilklrlsltlulvlymamcmdmemfmgmhmkmlmmmnmompmqmrmsmtmumvmwmxmymznancnenfngninlnonpnrnunzompapepfpgphpkplpmpnprpsptpwpyqaqcrerorsrurwsasbscsdsesgshsisjskslsmsnsosrssstsvsxsysztctdtftgthtjtktltmtntotptrtttvtwtzuaugukumusuyuzvavcvevgvivnvuwewfwsyeytyuzazmzwCustom description on your ip
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
Is this IP an Additional IP (alpha)
IP block organisation Id
Where is the IP used/usable, in the form of region codenames (alpha)
af-central-lz-abjaf-north-lz-rbaap-south-lz-aklap-south-lz-blrap-south-lz-icdap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-lz-buheu-central-lz-sofeu-central-waweu-east-lz-prgeu-north-lz-cpheu-north-lz-heleu-north-lz-osleu-north-lz-stoeu-south-lz-liseu-south-lz-madeu-south-lz-mileu-south-mileu-west-erieu-west-graeu-west-limeu-west-lz-amseu-west-lz-brueu-west-lz-dlneu-west-lz-luxeu-west-lz-mnceu-west-lz-mrseu-west-lz-vieeu-west-lz-zrheu-west-pareu-west-rbxeu-west-sbgme-south-lz-dxbsa-central-lz-mexsa-east-lz-saosa-west-lz-buesa-west-lz-sclus-central-lz-slcus-central-lz-stlus-east-lz-atlus-east-lz-bosus-east-lz-chius-east-lz-dalus-east-lz-miaus-east-lz-nycus-east-vinus-west-hilus-west-lz-denus-west-lz-laxus-west-lz-paous-west-lz-phxus-west-lz-seaRegional Internet Registry of the IP (alpha)
Routage information
Possible values for ip type
cdnclouddedicatedfailoverhosted_sslhousingloadBalancingmailovertheboxpccpciprivatevpnvpsvrackxdslVersion of the IP (alpha)
46Response
Example uses ip = 192.0.2.0/24
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip} \
-H "authorization: Bearer $OVH_TOKEN"